Subject: Signal SIGCHLD does not interrupt process blocked on read of pipe ?
From: [email-masked] (Anthony Tuininga)

13 Jan 1998 05:41:01 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

> I have a process which accepts requests from an Oracle database and
> passes them off to a process via Oracle's "pipe" mechanism. This
> process passes the information to another process which manages the
> requests and processes them. What is happening is that the second
> process spawns a process to handle the request and then goes back to
> reading the pipe. The spawned process completes and becomes <defunct>
> in the process listing but the SIGCHLD handler does not get triggered!
> A subsequent call (which causes the read on the pipe to terminate)
> causes the SIGCHLD handler to trigger and then does exactly the same
> thing!! This is really frustrating. Does anyone have any idea as to
> what is going on?
> 
> This is Windows NT 4.0 Workstation SP3 with cygwin32 beta 18 with the
> coolview patches by Sergey (latest version which I got today).
> 
> Thanks in advance for any help/suggestions,
> Anthony Tuininga
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".